ByteArrayInputStream
Date: 2016-06-24

java.io

## Class ByteArrayInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ByteArrayInputStream

-     public class ByteArrayInputStream
      extends InputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected int` | `count`
    `protected int` | `mark`
    `protected int` | `pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayInputStream(byte[] var0)`
    `ByteArrayInputStream(byte[] var0, int var1, int var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `int` | `read()`
    `int` | `read(byte[] var0, int var1, int var2)`
    `void` | `reset()`
    `long` | `skip(long var0)`

    - ### Methods inherited from class java.io.InputStream

      `close, mark, markSupported, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### count

          protected int count

    - #### mark

          protected int mark

    - #### pos

          protected int pos

  - ### Constructor Detail

    - #### ByteArrayInputStream

          public ByteArrayInputStream(byte[] var0)

    - #### ByteArrayInputStream

          public ByteArrayInputStream(byte[] var0,
                              int var1,
                              int var2)

  - ### Method Detail

    - #### available

          public int available()

      Overrides:
        `available` in class `InputStream`

    - #### read

          public int read()

      Specified by:
        `read` in class `InputStream`

    - #### read

          public int read(byte[] var0,
                 int var1,
                 int var2)

      Overrides:
        `read` in class `InputStream`

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `InputStream`

    - #### skip

          public long skip(long var0)

      Overrides:
        `skip` in class `InputStream`